#
#	r-plotxy.r
#	2012 by Toni Castillo Girona
#	<toni.castillo@fa.upc.edu>
#
#	Get table.R previously gathered by means of running getcsw
#	and computes a regression-test.
#

# Read data from file:
mydata <- read.table("table.R", header=TRUE, sep=" ")
# Set time (first column) and IRQS (second column)
t <- mydata[,1]
I <- mydata[,2]
# Plot the graph on disk:
png("regression.png")
plot(t , I)
# Draw the regression line; how Interrupts affect elapsed time
abline(lm(I~t))
title(main="Regression of Raised Interrupts on Elapsed Time, n=200",
		xlab="Elapsed Time (sec)", ylab="Raised Interupts#" )
dev.off()
